Name:		biblesync
Version:	1.0.2
Release:	2%{?dist}
Summary:	A Cross-platform library for sharing Bible navigation

Group:		System Environment/Libraries
License:	Public Domain
URL:		http://www.xiphos.org
Source0:	http://downloads.sourceforge.net/gnomesword/biblesync-%{version}.tar.gz

BuildRequires:	intltool
BuildRequires:	libuuid-devel
BuildRequires:	cmake

%description
BibleSync is a multicast protocol to support Bible
software shared co-navigation.
It uses LAN multicast in either a personal/small
team mutual navigation motif or
in a classroom environment where there are Speakers
plus the Audience.
It provides a complete yet minimal public interface to support mode setting,
setup for packet reception, transmit on local navigation,
and handling of incoming
packets.

This library is not specific to any particular Bible
software framework, completely
agnostic as to structure of layers above BibleSync.

%package devel
Requires:	biblesync = %{version}
Requires:	libuuid-devel
Summary:	BibleSync development files

%description devel
Development headers and files for use with the BibleSync library.

%prep
%setup -q


%build
mkdir build
pushd build
%cmake -DLIBDIR=%{_libdir} ..
make %{?_smp_mflags}
popd


%install
pushd build
make install DESTDIR=%{buildroot}
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING ChangeLog LICENSE README WIRESHARK biblesync-v1.png
%{_libdir}/libbiblesync.so.%{version}
%{_mandir}/man7/biblesync.7.gz

%files devel
%{_includedir}/biblesync
%{_libdir}/pkgconfig/biblesync.pc
%{_libdir}/libbiblesync.so

%changelog
* Mon Jul 07 2014 Greg Hellings <greg.hellings@gmail.com> - 1.0.2-2
- Initial build
